### Function

# Gimp ParamSpecObject get_default

#### Declaration [src]

    GObject*
    gimp_param_spec_object_get_default (
      GParamSpec* pspec
    )

#### Description [src]

Get the default object value of the param spec.

If the `pspec` has been registered with a specific default (which can be verified with `gimp_param_spec_object_has_default()`), it will be returned, though some specific subtypes may support returning dynamic default (e.g. based on context).

#### Parameters

`pspec`

  Type: `GParamSpec`

  A `GObject` `GParamSpec`.

  The data is owned by the caller of the function.

#### Return value

Type: `GObject`

The default value.

The data is owned by the called function.